Bug 170204 - [repocopy] www/node* repo-copy
[repocopy] www/node* repo-copy
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Li-Wen Hsu
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-27 02:10 UTC by linpct
Modified: 2012-08-14 14:23 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description linpct 2012-07-27 02:10:06 UTC
	www/node -> www/node06
    www/node-devel -> www/node

    Because node.js has 0.9 unstable now and we must keep 0.6 for some days and let current stable(0.8) move to www/node.
    Then I could send-pr of node-devel(update to 0.9 unstable).

    Thanks.
Comment 1 Li-Wen Hsu freebsd_committer 2012-07-29 19:05:01 UTC
Responsible Changed
From-To: freebsd-ports-bugs->lwhsu

I'll take it.
Comment 2 dfilter freebsd_committer 2012-08-14 07:02:26 UTC
Author: lwhsu
Date: Tue Aug 14 06:02:10 2012
New Revision: 302491
URL: http://svn.freebsd.org/changeset/ports/302491

Log:
  - Keep node 0.6.x branch in www/node06
  
  PR:		ports/170204
  Submitted by:	Jin-Sih Lin <linpct@gmail.com> (maintainer)

Added:
  head/www/node06/
     - copied from r302487, head/www/node/
Modified:
  head/www/Makefile

Modified: head/www/Makefile
==============================================================================
--- head/www/Makefile	Tue Aug 14 05:51:07 2012	(r302490)
+++ head/www/Makefile	Tue Aug 14 06:02:10 2012	(r302491)
@@ -564,6 +564,7 @@
     SUBDIR += node
     SUBDIR += node-devel
     SUBDIR += node04
+    SUBDIR += node06
     SUBDIR += nostromo
     SUBDIR += notftp
     SUBDIR += npapi-xine
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 3 dfilter freebsd_committer 2012-08-14 14:06:03 UTC
Author: lwhsu
Date: Tue Aug 14 13:05:48 2012
New Revision: 302521
URL: http://svn.freebsd.org/changeset/ports/302521

Log:
  - Update to 0.8.6 (from www/node-devel)
  
  PR:		ports/170204
  Submitted by:	Jin-Sih Lin <linpct@gmail.com> (maintainer)

Added:
  head/www/node/files/patch-gyp-common.py   (contents, props changed)
  head/www/node/files/patch-tools-install.py   (contents, props changed)
Deleted:
  head/www/node/files/patch-SConstruct
  head/www/node/files/patch-wscript
Modified:
  head/www/node/Makefile
  head/www/node/distinfo
  head/www/node/files/patch-wafadmin-Node.py
  head/www/node/pkg-plist   (contents, props changed)

Modified: head/www/node/Makefile
==============================================================================
--- head/www/node/Makefile	Tue Aug 14 12:04:40 2012	(r302520)
+++ head/www/node/Makefile	Tue Aug 14 13:05:48 2012	(r302521)
@@ -6,7 +6,7 @@
 #
 
 PORTNAME=	node
-PORTVERSION=	0.6.19
+PORTVERSION=	0.8.6
 CATEGORIES=	www
 MASTER_SITES=	http://nodejs.org/dist/v${PORTVERSION}/
 DISTNAME=	${PORTNAME}-v${PORTVERSION}
@@ -14,54 +14,30 @@ DISTNAME=	${PORTNAME}-v${PORTVERSION}
 MAINTAINER=	linpct@gmail.com
 COMMENT=	V8 JavaScript for client and server
 
-LIB_DEPENDS=	execinfo.1:${PORTSDIR}/devel/libexecinfo
+LIB_DEPENDS=	execinfo:${PORTSDIR}/devel/libexecinfo
 
-OPTIONS=	SHARED_V8 "Build with lang/v8" off
-
-CONFLICTS=	node-0.[0-57-9]* node-devel-0.[0-9]*
+MAN1=		node.1
 
-CONFIGURE_ARGS=	--no-ssl2 \
-		--openssl-includes=${OPENSSLINC} \
-		--openssl-libpath=${OPENSSLLIB} \
-		--prefix=${PREFIX:S/^${DESTDIR}//} \
-		--without-npm
 HAS_CONFIGURE=	yes
-MAKE_JOBS_SAFE=	yes
-ONLY_FOR_ARCHS=	i386 amd64
-USE_GMAKE=	yes
 USE_LDCONFIG=	yes
 USE_PYTHON=	2.7
-USE_OPENSSL=	yes
-
-MAN1=		node.1
+USE_GMAKE=	yes
 
-.if !defined(DISABLE_MAKE_JOBS)
-WAF_ARGS=	--jobs=${MAKE_JOBS_NUMBER}
-.endif
-
-.include <bsd.port.options.mk>
-
-.if defined(WITH_SHARED_V8)
-CONFIGURE_ARGS+=--shared-v8 \
-		--shared-v8-includes=${LOCALBASE}/include \
-		--shared-v8-libpath=${LOCALBASE}/lib \
-		--without-snapshot
-LIB_DEPENDS+=	v8:${PORTSDIR}/lang/v8
-PLIST_SUB+=	SHARED_V8="@comment "
-.else
-PLIST_SUB+=	SHARED_V8=""
-.endif
+CONFLICTS=	node-0.[0-79]* node-devel-0.[0-9]*
 
-do-build:
-	@(cd ${WRKSRC}; ${SETENV} ${MAKE_ENV} ${PYTHON_CMD} tools/waf-light ${WAF_ARGS} build)
+ONLY_FOR_ARCHS=	i386 amd64
+MAKE_JOBS_SAFE=	yes
+CONFIGURE_ARGS=	--prefix=${PREFIX_RELDEST} --without-npm
+PREFIX_RELDEST=	${PREFIX:S,^${DESTDIR},,}
+REINPLACE_ARGS=	-i ''
 
-do-install:
-	@(cd ${WRKSRC}; ${SETENV} ${MAKE_ENV} ${PYTHON_CMD} tools/waf-light ${WAF_ARGS} install)
+post-patch:
+	@${RM} ${WRKSRC}/tools/wafadmin/Node.py.orig
 
 post-install:
 	${MKDIR} ${PREFIX}/lib/node_modules/
 	${TOUCH} ${PREFIX}/lib/node_modules/.keepme
-	${INSTALL_MAN} ${WRKSRC}/doc/node.1 ${MANPREFIX}/man/man1/
+	${CHMOD} ${MANMODE} ${PREFIX}/man/man1/node.1
 	@${ECHO_MSG}
 	@${ECHO_MSG} "Note: If you need npm (Node Package Manager), please install www/npm."
 	@${ECHO_MSG}

Modified: head/www/node/distinfo
==============================================================================
--- head/www/node/distinfo	Tue Aug 14 12:04:40 2012	(r302520)
+++ head/www/node/distinfo	Tue Aug 14 13:05:48 2012	(r302521)
@@ -1,2 +1,2 @@
-SHA256 (node-v0.6.19.tar.gz) = 4e33292477b01dfcf50bc628d580fd5af3e5ff807490ec46472b84100fb52fbb
-SIZE (node-v0.6.19.tar.gz) = 10222697
+SHA256 (node-v0.8.6.tar.gz) = dbd42800e69644beff5c2cf11a9d4cf6dfbd644a9a36ffdd5e8c6b8db9240854
+SIZE (node-v0.8.6.tar.gz) = 11468801

Added: head/www/node/files/patch-gyp-common.py
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/www/node/files/patch-gyp-common.py	Tue Aug 14 13:05:48 2012	(r302521)
@@ -0,0 +1,14 @@
+--- tools/gyp/pylib/gyp/common.py.orig	2012-02-02 03:37:12.000000000 +0800
++++ tools/gyp/pylib/gyp/common.py	2012-02-08 01:20:58.000000000 +0800
+@@ -352,7 +352,10 @@
+     'freebsd7': 'freebsd',
+     'freebsd8': 'freebsd',
+   }
+-  flavor = flavors.get(sys.platform, 'linux')
++  if 'freebsd' in sys.platform:
++      flavor = 'freebsd'
++  else:
++    flavor = flavors.get(sys.platform, 'linux')
+   return params.get('flavor', flavor)
+ 
+ 

Added: head/www/node/files/patch-tools-install.py
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/www/node/files/patch-tools-install.py	Tue Aug 14 13:05:48 2012	(r302521)
@@ -0,0 +1,11 @@
+--- tools/install.py.orig	2012-08-11 15:59:08.000000000 +0800
++++ tools/install.py	2012-08-11 15:59:36.000000000 +0800
+@@ -191,7 +191,7 @@
+           'deps/uv/include/uv-private/uv-unix.h',
+           'deps/uv/include/uv-private/uv-win.h'],
+           'include/node/uv-private/')
+-  action(['doc/node.1'], 'share/man/man1/')
++  action(['doc/node.1'], 'man/man1/')
+   action(['out/Release/node'], 'bin/node')
+ 
+   # install unconditionally, checking if the platform supports dtrace doesn't

Modified: head/www/node/files/patch-wafadmin-Node.py
==============================================================================
--- head/www/node/files/patch-wafadmin-Node.py	Tue Aug 14 12:04:40 2012	(r302520)
+++ head/www/node/files/patch-wafadmin-Node.py	Tue Aug 14 13:05:48 2012	(r302521)
@@ -1,5 +1,5 @@
---- tools/wafadmin/Node.py.orig	2011-04-02 11:21:17.000000000 +0800
-+++ tools/wafadmin/Node.py	2011-04-02 11:22:37.000000000 +0800
+--- tools/wafadmin/Node.py.orig	2011-08-03 16:32:55.000000000 +0800
++++ tools/wafadmin/Node.py	2011-08-03 16:56:11.000000000 +0800
 @@ -349,6 +349,12 @@
  		if self == from_node: return '.'
  		if from_node.parent == self: return '..'

Modified: head/www/node/pkg-plist
==============================================================================
--- head/www/node/pkg-plist	Tue Aug 14 12:04:40 2012	(r302520)
+++ head/www/node/pkg-plist	Tue Aug 14 13:05:48 2012	(r302521)
@@ -2,12 +2,10 @@ bin/node
 bin/node-waf
 include/node/ares.h
 include/node/ares_version.h
-include/node/c-ares/ares.h
-include/node/c-ares/ares_version.h
-include/node/config.h
+include/node/eio-emul.h
+include/node/ev-emul.h
 include/node/node.h
 include/node/node_buffer.h
-include/node/node_config.h
 include/node/node_object_wrap.h
 include/node/node_version.h
 include/node/uv-private/eio.h
@@ -17,12 +15,13 @@ include/node/uv-private/tree.h
 include/node/uv-private/uv-unix.h
 include/node/uv-private/uv-win.h
 include/node/uv.h
-%%SHARED_V8%%include/node/v8-debug.h
-%%SHARED_V8%%include/node/v8-preparser.h
-%%SHARED_V8%%include/node/v8-profiler.h
-%%SHARED_V8%%include/node/v8-testing.h
-%%SHARED_V8%%include/node/v8.h
-%%SHARED_V8%%include/node/v8stdint.h
+include/node/v8-debug.h
+include/node/v8-preparser.h
+include/node/v8-profiler.h
+include/node/v8-testing.h
+include/node/v8.h
+include/node/v8stdint.h
+lib/dtrace/node.d
 lib/node/wafadmin/Build.py
 lib/node/wafadmin/Configure.py
 lib/node/wafadmin/Constants.py
@@ -77,8 +76,6 @@ lib/node_modules/.keepme
 @dirrm lib/node/wafadmin/Tools
 @dirrm lib/node/wafadmin
 @dirrm lib/node
+@dirrm lib/dtrace
 @dirrm include/node/uv-private
-@dirrm include/node/ev
-@dirrm include/node/c-ares
 @dirrm include/node
-@exec mkdir -p %D/include/node/ev
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 4 Li-Wen Hsu freebsd_committer 2012-08-14 14:23:14 UTC
State Changed
From-To: open->closed

Committed. Thanks!